Get cash flows
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Tradable/GetCashFlows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"end_date": "2000-01-23T04:56:07.000+00:00",
"mkt_data_date": "2000-01-23T04:56:07.000+00:00",
"include_projected": true,
"contracts": [
{
"identifier": "identifier"
},
{
"identifier": "identifier"
}
],
"pricing_date": "2000-01-23T04:56:07.000+00:00",
"start_date": "2000-01-23T04:56:07.000+00:00"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Tradable/GetCashFlows"
payload = {
"end_date": "2000-01-23T04:56:07.000+00:00",
"mkt_data_date": "2000-01-23T04:56:07.000+00:00",
"include_projected": True,
"contracts": [{ "identifier": "identifier" }, { "identifier": "identifier" }],
"pricing_date": "2000-01-23T04:56:07.000+00:00",
"start_date": "2000-01-23T04:56:07.000+00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
end_date: '2000-01-23T04:56:07.000+00:00',
mkt_data_date: '2000-01-23T04:56:07.000+00:00',
include_projected: true,
contracts: [{identifier: 'identifier'}, {identifier: 'identifier'}],
pricing_date: '2000-01-23T04:56:07.000+00:00',
start_date: '2000-01-23T04:56:07.000+00:00'
})
};
fetch('https://api.riskportal.activeviam.com/api/Tradable/GetCashFlows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Tradable/GetCashFlows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'end_date' => '2000-01-23T04:56:07.000+00:00',
'mkt_data_date' => '2000-01-23T04:56:07.000+00:00',
'include_projected' => true,
'contracts' => [
[
'identifier' => 'identifier'
],
[
'identifier' => 'identifier'
]
],
'pricing_date' => '2000-01-23T04:56:07.000+00:00',
'start_date' => '2000-01-23T04:56:07.000+00:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Tradable/GetCashFlows"
payload := strings.NewReader("{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"mkt_data_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"include_projected\": true,\n \"contracts\": [\n {\n \"identifier\": \"identifier\"\n },\n {\n \"identifier\": \"identifier\"\n }\n ],\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Tradable/GetCashFlows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"mkt_data_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"include_projected\": true,\n \"contracts\": [\n {\n \"identifier\": \"identifier\"\n },\n {\n \"identifier\": \"identifier\"\n }\n ],\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Tradable/GetCashFlows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"mkt_data_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"include_projected\": true,\n \"contracts\": [\n {\n \"identifier\": \"identifier\"\n },\n {\n \"identifier\": \"identifier\"\n }\n ],\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}"
response = http.request(request)
puts response.read_body{
"cash_flows": [
{
"contract": {
"identifier": "identifier"
},
"cash_flows": [
{
"amount": 0.8008281904610115,
"description": "description",
"currency": "currency",
"observation_date": "2000-01-23T04:56:07.000+00:00",
"payment_date": "2000-01-23T04:56:07.000+00:00"
},
{
"amount": 0.8008281904610115,
"description": "description",
"currency": "currency",
"observation_date": "2000-01-23T04:56:07.000+00:00",
"payment_date": "2000-01-23T04:56:07.000+00:00"
}
]
},
{
"contract": {
"identifier": "identifier"
},
"cash_flows": [
{
"amount": 0.8008281904610115,
"description": "description",
"currency": "currency",
"observation_date": "2000-01-23T04:56:07.000+00:00",
"payment_date": "2000-01-23T04:56:07.000+00:00"
},
{
"amount": 0.8008281904610115,
"description": "description",
"currency": "currency",
"observation_date": "2000-01-23T04:56:07.000+00:00",
"payment_date": "2000-01-23T04:56:07.000+00:00"
}
]
}
]
}Get cash flows
POST
/
api
/
Tradable
/
GetCashFlows
Get cash flows
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Tradable/GetCashFlows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"end_date": "2000-01-23T04:56:07.000+00:00",
"mkt_data_date": "2000-01-23T04:56:07.000+00:00",
"include_projected": true,
"contracts": [
{
"identifier": "identifier"
},
{
"identifier": "identifier"
}
],
"pricing_date": "2000-01-23T04:56:07.000+00:00",
"start_date": "2000-01-23T04:56:07.000+00:00"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Tradable/GetCashFlows"
payload = {
"end_date": "2000-01-23T04:56:07.000+00:00",
"mkt_data_date": "2000-01-23T04:56:07.000+00:00",
"include_projected": True,
"contracts": [{ "identifier": "identifier" }, { "identifier": "identifier" }],
"pricing_date": "2000-01-23T04:56:07.000+00:00",
"start_date": "2000-01-23T04:56:07.000+00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
end_date: '2000-01-23T04:56:07.000+00:00',
mkt_data_date: '2000-01-23T04:56:07.000+00:00',
include_projected: true,
contracts: [{identifier: 'identifier'}, {identifier: 'identifier'}],
pricing_date: '2000-01-23T04:56:07.000+00:00',
start_date: '2000-01-23T04:56:07.000+00:00'
})
};
fetch('https://api.riskportal.activeviam.com/api/Tradable/GetCashFlows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Tradable/GetCashFlows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'end_date' => '2000-01-23T04:56:07.000+00:00',
'mkt_data_date' => '2000-01-23T04:56:07.000+00:00',
'include_projected' => true,
'contracts' => [
[
'identifier' => 'identifier'
],
[
'identifier' => 'identifier'
]
],
'pricing_date' => '2000-01-23T04:56:07.000+00:00',
'start_date' => '2000-01-23T04:56:07.000+00:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Tradable/GetCashFlows"
payload := strings.NewReader("{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"mkt_data_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"include_projected\": true,\n \"contracts\": [\n {\n \"identifier\": \"identifier\"\n },\n {\n \"identifier\": \"identifier\"\n }\n ],\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Tradable/GetCashFlows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"mkt_data_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"include_projected\": true,\n \"contracts\": [\n {\n \"identifier\": \"identifier\"\n },\n {\n \"identifier\": \"identifier\"\n }\n ],\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Tradable/GetCashFlows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"mkt_data_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"include_projected\": true,\n \"contracts\": [\n {\n \"identifier\": \"identifier\"\n },\n {\n \"identifier\": \"identifier\"\n }\n ],\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}"
response = http.request(request)
puts response.read_body{
"cash_flows": [
{
"contract": {
"identifier": "identifier"
},
"cash_flows": [
{
"amount": 0.8008281904610115,
"description": "description",
"currency": "currency",
"observation_date": "2000-01-23T04:56:07.000+00:00",
"payment_date": "2000-01-23T04:56:07.000+00:00"
},
{
"amount": 0.8008281904610115,
"description": "description",
"currency": "currency",
"observation_date": "2000-01-23T04:56:07.000+00:00",
"payment_date": "2000-01-23T04:56:07.000+00:00"
}
]
},
{
"contract": {
"identifier": "identifier"
},
"cash_flows": [
{
"amount": 0.8008281904610115,
"description": "description",
"currency": "currency",
"observation_date": "2000-01-23T04:56:07.000+00:00",
"payment_date": "2000-01-23T04:56:07.000+00:00"
},
{
"amount": 0.8008281904610115,
"description": "description",
"currency": "currency",
"observation_date": "2000-01-23T04:56:07.000+00:00",
"payment_date": "2000-01-23T04:56:07.000+00:00"
}
]
}
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
If both provider selectors are omitted or empty, the request uses the organization's market-data provider. Access to the selected provider is required.
Available options:
Derivitec.Web.Core.Tradables.ApiGetCashFlowsRequest, Derivitec.Web.Core Name of the market-data environment. Supply this name or provider_id, not both.
Opaque market-data provider identifier. Supply this identifier or market_data_environment_name, not both.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
- Option 24
- Option 25
- Option 26
- Option 27
- Option 28
- Option 29
- Option 30
- Option 31
- Option 32
- Option 33
- Option 34
- Option 35
Show child attributes
Show child attributes
Was this page helpful?